<div id="posteExpenseSimplifiedInputModal" class="modal fade" ng-controller="posteExpenseSimplifiedInputController as self" ng-init="self.init('<?= !$this->acl()->isAllowed('budget:e:posteExpenseSimplified:c'); ?>')">
    <div class="modal-dialog" style="width: 80%;">
        <div class="modal-content">

            <!-- HEADER -->
            <div class="modal-header">
                <h4><?= $this->translate('poste_expense_simplified_input'); ?></h4>
            </div>
            <!-- END OF HEADER -->


            <!-- BODY -->
            <div class="modal-body">

                <?php if($this->acl()->isAllowed('budget:e:posteExpenseSimplified:c')): ?>
                <div class="row">
                    <div class="col-xs-12" style="text-align: center;">
                        <form class="form-inline" ng-submit="self.generateTable()">
                            <div class="form-group">
                                <label><?= $this->translate('poste_expense_simplified_input_form_type'); ?></label>
                                <select class="form-control" ng-model="self.form.type" required>
                                    <option selected></option>
                                    <option ng-repeat="item in self.referential" ng-value="item.id">{{item.name}}</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label><?= $this->translate('poste_expense_simplified_input_form_duration'); ?></label>
                                <input type="number" min="{{ self.currentYear }}" max="{{ self.form.end }}" class="form-control" ng-model="self.form.start" style="width: 100px;" />
                                <input type="number" min="{{ self.form.start }}" class="form-control" ng-model="self.form.end" style="width: 100px;" />
                            </div>
                            <button type="submit" class="btn btn-info">
                                <?= $this->translate('poste_expense_simplified_input_form_button'); ?>
                            </button>
                        </form>
                    </div>
                </div>
                <br />
                <?php endif; ?>

                <table class="table table-bordered table-condensed table-hover">
                    <thead>
                        <tr>
                            <th><?= $this->translate('poste_expense_simplified_input_poste'); ?></th>
                            <th ng-repeat="year in self.years">
                                {{ year }}
                            </th>
                            <th><?= $this->translate('poste_expense_simplified_input_expense'); ?></th>
                            <th><?= $this->translate('poste_expense_simplified_input_financing'); ?></th>
                            <th>
                                <?= $this->translate('poste_expense_simplified_input_client'); ?>
                                <?= $this->environment()->getClient()->getName(); ?>
                            </th>
                            <th><?= $this->translate('poste_expense_simplified_input_sponsor'); ?></th>
                        </tr>
                    </thead>
                    <tbody ng-if="self.table">                        
                        <tr ng-repeat="line in self.table">
                            <td ng-style="line.type !== 'poste' && { 'font-weight':'bold' }">
                                {{ line.name }}
                            </td>
                            <td ng-repeat="year in self.years" class="text-right" ng-style="line.type !== 'poste' && { 'font-weight':'bold' }">
                                <span  ng-if="line.type !== 'poste' || line[year].readOnly || self.readOnly">{{ line[year].amount | currency: '' }}€</span>
                                <div class="input-group" ng-if="line.type === 'poste' && !line[year].readOnly && !self.readOnly">
                                    <input class="form-control input-sm text-right" ng-model="line[year].amount" ng-blur="self.updateTable()" />
                                    <span class="input-group-addon">€</span>
                                </div>
                            </td>
                            <td class="text-right" ng-style="line.type !== 'poste' && { 'font-weight':'bold' }">{{ line.total | currency: '' }}€</td>
                            <td class="text-right" ng-style="line.type !== 'poste' && { 'font-weight':'bold' }">
                                <span ng-if="(line.financing && line.type !== 'poste') || self.readOnly">{{ line.financing }}%</span>
                                <div class="input-group" ng-if="line.type === 'poste' && !self.readOnly">
                                    <input class="form-control input-sm text-right" ng-model="line.financing" ng-blur="self.updateTable()" />
                                    <span class="input-group-addon">%</span>
                                </div>                         
                            </td>
                            <td class="text-right" ng-style="line.type !== 'poste' && { 'font-weight':'bold' }">{{ line.client | currency: '' }}€</td>
                            <td class="text-right" ng-style="line.type !== 'poste' && { 'font-weight':'bold' }">{{ line.sponsor | currency: '' }}€</td>
                        </tr>
                    </tbody>
                </table>

            </div>
            <!-- END OF BODY -->


            <!-- FOOTER -->
            <div class="modal-footer">
                <button class="btn btn-default" type="button" data-dismiss="modal">
                    <?= $this->translate('close') ?>
                </button>
                <?php if($this->acl()->isAllowed('budget:e:posteExpenseSimplified:c')): ?>
                <button class="btn btn-submit" ng-disabled="self.loading.save" ng-click="self.saveTable()">
                    <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                    <?= $this->translate('save') ?>
                </button>
                <?php endif; ?>
            </div>
            <!-- END OF FOOTER -->

        </div>
    </div>
</div>